Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProductsCreditGroups
    Inherits BaseObject
    Private _ProductsCredit As ProductsCredit
    Private _ProductsGroups As ProductsGroups
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("ProductsCredit-ProductsCreditGroups", GetType(ProductsCredit))> _
    Property ProductsCredit As ProductsCredit
        Get
            Return _ProductsCredit
        End Get
        Set(value As ProductsCredit)
            SetPropertyValue("ProductsCredit", _ProductsCredit, value)
        End Set
    End Property
    Property ProductsGroups As ProductsGroups
        Get
            Return _ProductsGroups
        End Get
        Set(value As ProductsGroups)
            SetPropertyValue("ProductsGroups", _ProductsGroups, value)
        End Set
    End Property

End Class
